Subject: [bug#78397] [PATCH] gnu: hwloc: Update to 2.12.1.

From: Andreas Enge <[email-masked]>
Date: Tue, 13 May 2025 15:38:55 +0200

Hello,

Am Tue, May 13, 2025 at 09:12:53AM -0400 schrieb Greg Hogan:
> hwloc-2 has 452 dependent packages so will need to go on a feature branch.

I think the requirements have been relaxed (600 packages now?); in any
case, this patch has been picked up by QA. But there are failing packages:
   https://qa.guix.gnu.org/issue/78397
In particular, hdf5-parallel-openmpi, which itself has a good number of
dependents:
   https://bordeaux.guix.gnu.org/build/9dd6876b-6457-43a0-9610-a6aa8b534442/log

Hm, they fail their tests, and on a casual look, I do not see how this
could be related to the hwloc update.

Andreas